Bug 241017 - math/hmat-oss: fix build on GCC architectures
Summary: math/hmat-oss: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-02 15:22 UTC by Piotr Kubaj
Modified: 2019-10-28 13:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
patch (553 bytes, patch)
2019-10-02 15:22 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-02 15:22:58 UTC
Created attachment 208036 [details]
patch

Don't unconditionally depend on libomp, this breaks compilation on GCC architectures.

Instead, add USES=compiler:openmp.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-03 03:09:31 UTC
Approved as mentor pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-10-28 13:43:12 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Oct 28 13:42:38 UTC 2019
New revision: 515860
URL: https://svnweb.freebsd.org/changeset/ports/515860

Log:
  math/hmat-oss: fix build on GCC architectures

  Don't unconditionally depend on libomp, this breaks compilation on GCC architectures.

  Instead, add USES=compiler:openmp.

  Bump PORTREVISION because of dependency change.

  PR:		241017
  Approved by:	linimon (mentor), yuri (maintainer timeout)

Changes:
  head/math/hmat-oss/Makefile